4 Replies Latest reply on Oct 13, 2005 2:10 PM by hans plast

    Newbie problem

    jameswoodward Newbie

      This is a class loader problem, you need to remove the JSF jars from your WAR and use the shared ones in the jsf-libs folder.

      See http://www.jboss.org/index.html?module=bb&op=viewtopic&t=70681 for the suggested deployment scenario.

        • 1. Re: Newbie problem
          hans plast Newbie

          Thanks, James,

          yes: You've definitely got me one step further... but still: Errors I do not really understand (excuse us newbies for being newbies):

          ERROR [[/lima]] Exception sending context initialized event to listener Instance of class org.apache.myfaces.webapp.StartupServletContextListener java.lang.NoSuchMethodError: org.apache.myfaces.util.ClassUtils.getResources(Ljava/lang/String;Ljava/lang/Object;)Ljava/util/Iterator;

          I've got rid of any libraries in my .war-File.

          My .../jsf-libs has the following items:
          commons-beanutils.jar
          commons-codec-1.2.jar
          commons-collections.jar
          commons-digester-1.6.jar
          commons-el.jar
          commons-fileupload-1.0.jar
          commons-logging.jar
          commons-validator.jar
          el-api.jar
          el-ri.jar
          jakarta-oro.jar
          jboss-seam.jar
          jsf-facelets.jar
          jstl.jar
          myfaces.jar
          myfaces-api.jar
          myfaces-extensions.jar
          myfaces-impl.jar
          myfaces-wap.jar
          myfaces-xdoclet.jar
          standard.jar

          I don't necessarily need the adf*.jars, do I?

          So what's still wrong?

          Thanks again,
          Chris

          • 2. Re: Newbie problem
            hans plast Newbie

            ...And if anyone wonders why I'm posting under two different names: Just don't ask...:-)

            • 3. Re: Newbie problem
              jameswoodward Newbie

              No, the adf* jars are for the Oracle ADF Faces components!

              • 4. Re: Newbie problem
                hans plast Newbie

                Okay, I got it at last!

                I had too many jars in my jsf-libs folder.

                Reducing it to

                commons-beanutils.jar
                commons-codec-1.2.jar
                commons-collections.jar
                commons-digester-1.6.jar
                jboss-seam.jar
                jstl.jar
                myfaces-api.jar
                myfaces-impl.jar
                standard.jar

                helped and everything's working now...

                Thanks, James,
                Chris